org.apache.ignite.internal.util.ipc.shmem

## Class IpcSharedMemoryUtils

- java.lang.Object
- - org.apache.ignite.internal.util.ipc.shmem.IpcSharedMemoryUtils

    public class IpcSharedMemoryUtils
    extends Object

NOTE: Native library should be loaded, before methods of this class are called. Native library is loaded with: `IpcSharedMemoryNativeLoader.load()`.

### Constructor Summary

Constructors
Constructor and Description
`IpcSharedMemoryUtils()`

### Method Summary

Methods
`static int` `pid()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IpcSharedMemoryUtils

    public IpcSharedMemoryUtils()

### Method Detail

#### pid

    public static int pid()

Returns:
  PID of the current process (-1 on error).

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015